package com.zjrs.ggfw.portal.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.ggfw.portal.dto.EMSORderXxDTO;
import com.zjrs.ggfw.portal.dto.EMSOrderDTO;
import com.zjrs.ggfw.portal.po.SlxxEMSOrderPO;

import java.util.List;

@Mapper
public interface EMSMapper extends BaseMapper<SlxxEMSOrderPO> {
    List<EMSOrderDTO> queryNeedOrder();

    EMSOrderDTO queryNeedZfSx(@Param("sllsh") String sllsh);

    EMSORderXxDTO queryOrderXx(@Param("dto") EMSORderXxDTO dto);
}

